/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2004 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(__LABELSETTINGS_H)
#define __LABELSETTINGS_H

class LabelSettings
{
private:

	bool isDefault;

public:

	LabelSettings();
	LabelSettings(const char *name, HWND box);
	virtual ~LabelSettings();

	bool alwaysOnTop;
	bool startHidden;
	bool bUseFahrenheit;

	Texture *skin;
	xFont *font;

	int leftBorder;
	int topBorder;
	int rightBorder;
	int bottomBorder;

	int align;
	int vertAlign;
	int updateInterval;
	bool alwaysUpdateContent;

	int x;
	int y;
	int width;
	int height;

	string behindWindow;

	string borderMethod;

	int scrollInterval;
	int scrollSpeed;
	int scrollPadLength;
	int scroll;

	string scrollPause;
	
	int autoWidthMode;
	int autoHeightMode;
	int autoMaxWidth;
	int autoMaxHeight;
	int autoMinWidth;
	int autoMinHeight;

	string resizeBorder;

	string textFade;

	int transparencyMode;
	int alphaTransparency;
	bool alphaMap;
	bool alphaFade;
	string customalphaFade;
	bool ghosted;

	bool noTextSplit;
	string text;
	string hrefconfig;
	bool noEscape;
	string tooltip;
	bool balloontooltip;
	int tooltipmaxwidth;

	bool focusOnEnter;

	string snapTo;
	int dockOnSnapTo;

	string leftClickCommand;
	string leftClickDownCommand;
	string leftClickUpCommand;
	string leftDoubleClickCommand;
	string middleClickCommand;
	string middleClickDownCommand;
	string middleClickUpCommand;
	string middleDoubleClickCommand;
	string rightClickCommand;
	string rightClickDownCommand;
	string rightClickUpCommand;
	string rightDoubleClickCommand;
	string wheelDownCommand;
	string wheelUpCommand;
	string enterCommand;
	string leaveCommand;
	string dropCommand;
	string textChangeCommand;
	string resizeCommand;
	string moveCommand;
	string hideCommand;
	string showCommand;

	bool fireOnMoveDuringMove;

	string texteditBox;
	string enterAction;

    bool moveable;
	int moveKey;
	int moveButton;

	string labelGroup;

	string cursorPath;
};

extern LabelSettings* defaultSettings;

#endif
