/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2004 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(__XFONT_H)
#define __XFONT_H

class xFont
{
public:

	xFont();
	virtual ~xFont();

	void configure(const string &prefix, xFont *baseFont);
	void apply(HDC hDC, int left, int right, int top, int bottom, const string &text, int align, int vertAlign, StringList &labelHREFClickRegions);
	POINT measure(HDC hDC, int left, int right, const string &text, int align, int vertAlign);

	HFONT gethFont() { return hFont; };

	void setShadow(bool shadow);
	void setColor(int aColor, bool shadow = false);

	int shadowX;
	int shadowY; 
	
private:

	HFONT hFont;

	string name;
	int height;
	int color;

	bool bold;
	bool italic;
	bool underline;
	bool lineBreak;

	int newlineSpace;

	bool smooth;

	bool textoutline;
	int textoutlineColor;

	bool shadow;
	int shadowColor;
};

#endif
